Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class HMCStepRENSSwapParameterInfo

[frames] | no frames]

# Class HMCStepRENSSwapParameterInfo

source code

                   object --+
                            |
    AbstractSwapParameterInfo --+
                                |
              RESwapParameterInfo --+
                                    |
        AbstractRENSSwapParameterInfo --+
                                        |
                                       HMCStepRENSSwapParameterInfo

Holds all required information for performing HMCStepRENS swaps.

Nested Classes
Inherited from `AbstractRENSSwapParameterInfo`: `__metaclass__`

Instance Methods

__init__(self, sampler1, sampler2, timestep, hmc_traj_length, hmc_iterations, gradient, intermediate_steps, parametrization=None, protocol=None, mass_matrix=None, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractSwapParameterInfo`: `__abstractmethods__`

Properties
| gradient Gradient which governs the equations of motion.
| hmc_iterations
| hmc_traj_length HMC trajectory length in number of integration steps.
| integrator
| intermediate_steps
| mass_matrix
| timestep Integration timestep.
Inherited from `AbstractRENSSwapParameterInfo`: `protocol` Inherited from `AbstractSwapParameterInfo`: `sampler1`, `sampler2` Inherited from `object`: `__class__`

Method Details

### __init__(self, sampler1, sampler2, timestep, hmc_traj_length, hmc_iterations, gradient, intermediate_steps, parametrization=None, protocol=None, mass_matrix=None, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sampler1` (subclass instance of AbstractSingleChainMC) - First sampler
  - `sampler2` (subclass instance of AbstractSingleChainMC) - Second sampler
  - `timestep` (float) - integration timestep
  - `hmc_traj_length` (int) - HMC trajectory length
  - `hmc_iterations` (int) - number of HMC iterations in the propagation step
  - `gradient` (callable) - gradient governing the equations of motion, function of position array and switching protocol
  - `intermediate_steps` (int) - number of steps in the protocol; this is a discrete version of the switching time in "continuous" RENS implementations
  - `protocol` (callable) - Switching protocol determining the time dependence of the switching parameter. It is a function f taking the running time t and the switching time tau to yield a value in [0, 1] with f(0, tau) = 0 and f(tau, tau) = 1
  - `mass_matrix` (InvertibleMatrix) - mass matrix for kinetic energy definition
  - `integrator` (l{AbstractIntegrator}) - Integration scheme to be utilized
Overrides: object.__init__
  (inherited documentation)

Property Details

### gradient

Gradient which governs the equations of motion.

Get Method:
  unreachable.gradient(self) - Gradient which governs the equations of motion.
Set Method:
  unreachable.gradient(self, value)

### hmc_iterations

Get Method:
  unreachable.hmc_iterations(self)
Set Method:
  unreachable.hmc_iterations(self, value)

### hmc_traj_length

HMC trajectory length in number of integration steps.

Get Method:
  unreachable.hmc_traj_length(self) - HMC trajectory length in number of integration steps.
Set Method:
  unreachable.hmc_traj_length(self, value)

### integrator

Get Method:
  unreachable.integrator(self)
Set Method:
  unreachable.integrator(self, value)

### intermediate_steps

Get Method:
  unreachable.intermediate_steps(self)
Set Method:
  unreachable.intermediate_steps(self, value)

### mass_matrix

Get Method:
  unreachable.mass_matrix(self)
Set Method:
  unreachable.mass_matrix(self, value)

### timestep

Integration timestep.

Get Method:
  unreachable.timestep(self) - Integration timestep.
Set Method:
  unreachable.timestep(self, value)